package fr.mnsi.todo_list.controller;

import java.io.IOException;
import java.util.Date;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import fr.mnsi.todo_list.model.Task;
import fr.mnsi.todo_list.model.TaskManager;

@WebServlet("/AddTaskServlet")
public class AddTaskServlet extends HttpServlet {

    @Override
    public void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        doGet(req, resp);
    }

    @Override
    public void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        TaskManager tm = ControllerUtil.getTaskManager(getServletContext());

        String title = req.getParameter("title");
        title = title == null ? "" : title;

        String sDate = req.getParameter("date");
        Date d = null;
        if (sDate == null || "".equals(sDate)) {
            d = new Date();
        } else {
            String[] fields = sDate.split("-");
            // vérifier la bonne formation
            d = new Date(Integer.parseInt(fields[0]),
                    Integer.parseInt(fields[1]),
                    Integer.parseInt(fields[2]));
        }
        Task t = new Task(title, d);
        tm.add(t);

        // resp.sendRedirect("TaskListServlet");

        RequestDispatcher rd = req.getRequestDispatcher("");
        rd.forward(req, resp);

    }

}
