package fr.mnsi.todo_list.controller;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;

import fr.mnsi.todo_list.model.DbTaskManager;
import fr.mnsi.todo_list.model.TaskManager;

public class ControllerUtil {

    static TaskManager getTaskManager(ServletContext ctx) throws ServletException {
        try {
            TaskManager tm = (TaskManager) ctx.getAttribute("tm");
            if (tm == null) {
                tm = new DbTaskManager(
                        (String) ctx.getAttribute("db.host"),
                        (String) ctx.getAttribute("db.port"),
                        (String) ctx.getAttribute("db.name"),
                        (String) ctx.getAttribute("db.user"),
                        (String) ctx.getAttribute("db.pass"));
                ctx.setAttribute("tm", tm);
            }
            return tm;
        } catch (Exception e) {
            throw new ServletException(e);
        }

    }
}
