package fr.mnsi.todo_list.model;

import java.util.Date;

/**
 * Une classe représentant une tâche
 */

 public class Task {

    private static int CURRENT_ID = 0;
    private final String name;
    private final Date date;
    private final int id;

    public Task(int id, String name, Date d)  {
        this.id = id;
        this.name = name;
        this.date = d;
    }
    
    public Task(String name, Date d)  {
        this(CURRENT_ID++, name, d);
    }

    public String getName() {
         return name;
    }

    public Date getDate() {
        return date;
    }

    public int getId() {
        return id;
    }
    
    @Override
    public String toString() {
        return String.format("<%d, %s, %s>", id, name, date);
    }

}
